type Param = {
    dbContext?: "Master" | "Dsql User";
    dbFullName?: string;
};

export default function checkIfIsMaster({ dbContext, dbFullName }: Param) {
    return dbContext?.match(/dsql.user/i)
        ? false
        : global.DSQL_USE_LOCAL
        ? true
        : dbFullName && !dbFullName.match(/^datasquirel$/)
        ? false
        : true;
}
